import 'package:flutter/material.dart';

import 'package:get/get.dart';
import 'package:wolfizutils/wolfizutils.dart';

import '../controllers/home_controller.dart';

class HomeView extends GetView<HomeController> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('HomeView'),
        centerTitle: true,
      ),
      body: Column(
        children: [
          MyText(
            text: "HomeView is working",
            fontSize: 20,
            //Note:  Font size is according to screen util ".sp" but don't need to type ".sp".
            fontClr: Colors.black,
            fontWeight: FontWeight.normal,
          ),
          PngImageButton(
            imagePath: "assets/imgepath.png",
            imageWidth: 100,
            imageHeight: 100,
            //Note width and height are according to screen util.
            onTap: () {
              //place where you want to Navigate
            },
          ),
          SvgImageButton(
            imagePath: "aassets/imagepath.svg",
            imageWidth: 100,
            imageHeight: 100,
            //Note width and height are according to screen util.
            onTap: () {
              //place where you want to Navigate
            },
          ),
          GradientButtonLtR(
            onTap: () {},
            title: "Button Title",
            btnWidth: 200,
            btnHeight: 50,
            radius: 10,
            leftClr: Colors.black,
            rightClr: Colors.blue,
            fontClr: Colors.teal,
            fontSize: 14,
            fontWeight: FontWeight.bold,
            shadowClr: Colors.blue,
          ),
          GradientButtonTtB(
            onTap: () {},
            title: "Button Title",
            btnWidth: 300,
            btnHeight: 80,
            radius: 20,
            leftClr: Colors.blue,
            rightClr: Colors.blueGrey,
            fontClr: Colors.white,
            fontSize: 20,
            fontWeight: FontWeight.bold,
            shadowClr: Colors.blueAccent,
          )
        ],
      ),
    );
  }
}
